Bug 250572 - Using refresh_stale_hit causes " Clock going backwards" errors in cache.log
Summary: Using refresh_stale_hit causes " Clock going backwards" errors in cache.log
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: squid   
(Show other bugs)
Version: 5.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Jiri Skala
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-02 10:31 UTC by moylo
Modified: 2014-11-09 22:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:16:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0126 normal SHIPPED_LIVE squid bug fix update 2009-01-20 16:04:53 UTC

Description moylo 2007-08-02 10:31:28 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set refresh_stale_hit 60 seconds
2. restart squid
3. check cache.log for errors, error is present (clock verified correct and ntp
running)
4. comment out refresh_stale_hit 60 seconds
5. restart squid
6. check cache.log and no errors present



 
Actual results:
2007/08/02 10:25:46| STALE: Entry's timestamp greater than check time. Clock
going backwards?
2007/08/02 10:25:46|    check_time:     Thu, 02 Aug 2007 09:24:46 GMT
2007/08/02 10:25:46|    entry->timestamp:       Thu, 02 Aug 2007 09:25:04 GMT
2007/08/02 10:25:46|    staleness:      18
2007/08/02 10:25:47| STALE: Entry's timestamp greater than check time. Clock
going backwards?
2007/08/02 10:25:47|    check_time:     Thu, 02 Aug 2007 09:24:47 GMT
2007/08/02 10:25:47|    entry->timestamp:       Thu, 02 Aug 2007 09:25:04 GMT
2007/08/02 10:25:47|    staleness:      17
2007/08/02 10:25:48| STALE: Entry's timestamp greater than check time. Clock
going backwards?
2007/08/02 10:25:48|    check_time:     Thu, 02 Aug 2007 09:24:48 GMT
2007/08/02 10:25:48|    entry->timestamp:       Thu, 02 Aug 2007 09:25:33 GMT
2007/08/02 10:25:48|    staleness:      45
2007/08/02 10:25:48| STALE: Entry's timestamp greater than check time. Clock
going backwards?
2007/08/02 10:25:48|    check_time:     Thu, 02 Aug 2007 09:24:48 GMT
2007/08/02 10:25:48|    entry->timestamp:       Thu, 02 Aug 2007 09:25:18 GMT
2007/08/02 10:25:48|    staleness:      30
2007/08/02 10:25:48| STALE: Entry's timestamp greater than check time. Clock
going backwards?
2007/08/02 10:25:48|    check_time:     Thu, 02 Aug 2007 09:24:48 GMT
2007/08/02 10:25:48|    entry->timestamp:       Thu, 02 Aug 2007 09:25:33 GMT
2007/08/02 10:25:48|    staleness:      45



Expected results:


Additional info:
collapsed_forwarding is enabled. System is using BST

Comment 1 moylo 2007-08-02 10:36:39 UTC
squid-2.6.STABLE6-4.el5

Comment 2 Martin Nagy 2008-04-24 15:15:01 UTC
This issue was fixed in upstream squid 2.6 STABLE8 according to
http://ftp.iasi.roedu.net/mirrors/ftp.squid-cache.org/squid-2/STABLE/squid-2.6.STABLE12-RELEASENOTES.html#s13
upstream bug link with patch:
http://www.squid-cache.org/bugs/show_bug.cgi?id=1783

Comment 4 RHEL Product and Program Management 2008-06-09 22:01:19 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2009-01-20 21:16:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0126.html


Note You need to log in before you can comment on or make changes to this bug.